Qyra
ReferenceGit Integration

Create PR for custom dimensions

Create a pull request for custom dimensions

POST/api/v1/projects/{projectUuid}/git-integration/pull-requests/custom-dimensions

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "quoteChar": "\"",
  "customDimensions": [
    {
      "id": "string",
      "name": "string",
      "table": "string",
      "type": "bin",
      "dimensionId": "string",
      "binType": "fixed_number",
      "binNumber": 0
    }
  ]
}

Responses

200 — Success

{
  "results": {
    "prUrl": "string",
    "prTitle": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}